org.keycloak.models

## Interface ClientSessionModel

- All Known Implementing Classes:
    ClientSessionAdapter, ClientSessionAdapter, ClientSessionAdapter, ClientSessionAdapter

      public interface ClientSessionModel

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ClientSessionModel.Action`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientSessionModel.Action` | `getAction()`
    `String` | `getAuthMethod()` Authentication request type, i.e.
    `ClientModel` | `getClient()`
    `String` | `getId()`
    `String` | `getNote(String name)`
    `RealmModel` | `getRealm()`
    `String` | `getRedirectUri()`
    `Set<String>` | `getRoles()`
    `int` | `getTimestamp()`
    `UserSessionModel` | `getUserSession()`
    `void` | `removeNote(String name)`
    `void` | `setAction(ClientSessionModel.Action action)`
    `void` | `setAuthMethod(String method)`
    `void` | `setNote(String name, String value)`
    `void` | `setRedirectUri(String uri)`
    `void` | `setRoles(Set<String> roles)`
    `void` | `setTimestamp(int timestamp)`
    `void` | `setUserSession(UserSessionModel userSession)`

- - ### Method Detail

    - #### getId

          String getId()

    - #### getRealm

          RealmModel getRealm()

    - #### getClient

          ClientModel getClient()

    - #### getUserSession

          UserSessionModel getUserSession()

    - #### setUserSession

          void setUserSession(UserSessionModel userSession)

    - #### getRedirectUri

          String getRedirectUri()

    - #### setRedirectUri

          void setRedirectUri(String uri)

    - #### getTimestamp

          int getTimestamp()

    - #### setTimestamp

          void setTimestamp(int timestamp)

    - #### getAction

          ClientSessionModel.Action getAction()

    - #### setAction

          void setAction(ClientSessionModel.Action action)

    - #### getRoles

          Set<String> getRoles()

    - #### setRoles

          void setRoles(Set<String> roles)

    - #### getAuthMethod

          String getAuthMethod()

      Authentication request type, i.e. OAUTH, SAML 2.0, SAML 1.1, etc.
      Returns:

    - #### setAuthMethod

          void setAuthMethod(String method)

    - #### getNote

          String getNote(String name)

    - #### setNote

          void setNote(String name,
                     String value)

    - #### removeNote

          void removeNote(String name)

Copyright © 2015. All Rights Reserved.